import type { BuilderScreen } from "@/lib/admin/builder/types";
import { 
  buildDefaultHeader, 
  buildDefaultTitle,
  buildDefaultSubtitle,
  buildDefaultBottomActionButton,
  buildDefaultNavigation,
  buildDefaultProgressbars 
} from "./blocks";

export function buildLoadersDefaults(id: string): BuilderScreen {
  return {
    id,
    template: "loaders",
    header: buildDefaultHeader({
      show: false,
      showBackButton: false,
    }),
    title: buildDefaultTitle({
      text: "Создаем портрет твоей второй половинки.",
      align: "center",
    }),
    subtitle: buildDefaultSubtitle({
      show: false,
      text: undefined,
    }),
    progressbars: buildDefaultProgressbars(),
    bottomActionButton: buildDefaultBottomActionButton(),
    navigation: buildDefaultNavigation(),
  } as BuilderScreen;
}
